package org.jeecg.sy.java;

import java.io.IOException;

public class MainClass {
    public static void main(String[] args) {
        try {
            // 初始化HDFS连接
            HDFSUtils.initFileSystem("hdfs://localhost:9000");

            // 写入数据到HDFS
            HDFSUtils.writeToHDFS("/user/hadoop/testfile.txt", "Hello HDFS!");

            // 从HDFS读取数据
            String data = HDFSUtils.readFromHDFS("/user/hadoop/testfile.txt");
            System.out.println("Read from HDFS: " + data);

            // 删除HDFS文件
            HDFSUtils.deleteFromHDFS("/user/hadoop/testfile.txt");

            // 关闭HDFS连接
            HDFSUtils.closeFileSystem();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


}

